"""Alter course field types

Revision ID: 8cfa744d65d4
Revises: 1ffa8d44f772
Create Date: 2023-08-04 06:03:59.963876

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = "8cfa744d65d4"
down_revision = "1ffa8d44f772"
branch_labels = None
depends_on = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.alter_column(
        "course",
        "prerequisites",
        type_=sa.Text,
        nullable=False,
        existing_comment="Prerequisites as strings.",
    )
    op.alter_column(
        "course",
        "url",
        type_=sa.String(length=120),
        nullable=False,
        comment="BCIT Course URL.",
    )
    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.alter_column(
        "course",
        "prerequisites",
        type_=sa.VARCHAR(length=100),
        nullable=False,
        existing_comment="Prerequisites as strings.",
    )
    op.alter_column(
        "course",
        "url",
        type_=sa.String(length=100),
        nullable=False,
        comment="URL.",
    )
    # ### end Alembic commands ###
